Classes | Functions
MarinerWrtGraphInternal Namespace Reference

Internal: the structures of a MarinerWrtGraph. More...

## Classes
struct | Pattern
| Internal: the struct use to store a pattern in MarinerWrtGraph. More...
struct | PSZone
| Internal: the struct use to store a ps zone of a MarinerWrtGraph. More...
struct | State
| Internal: the state of a MarinerWrtGraph. More...
class | SubDocument
| Internal: the subdocument of a MarinerWrtGraph. More...
struct | Token
| Internal: the struct use to store a token entry. More...
struct | Zone
| Internal: the struct use to store a zone of a MarinerWrtGraph. More...

## Functions
std::ostream & | operator<< (std::ostream &o, Token const &tkn)

## Detailed Description

Internal: the structures of a MarinerWrtGraph.

## Function Documentation

## ◆ operator<<()

std::ostream& MarinerWrtGraphInternal::operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |

Referenced by MarinerWrtGraphInternal::Token::addPictBorder().